import { scaleOrdinal } from 'd3';

const colorScale = scaleOrdinal()
  .domain(['apple', 'lemon'])
  .range(['#d84315', '#7cb342'])

const radiusScale = scaleOrdinal()
  .domain(['apple', 'lemon'])
  .range([50, 30])


export const fruitBowl = (selection, props ) => {
  
  const { fruits, height } = props;
  // data join itself
  const circles = selection
  .selectAll('circle')
    .data(fruits);
  
  // enter circles
  circles  
      .enter().append('circle')
        .attr('cx', (d,i) => i * 120 + 60)
        .attr('cy', height / 2)
  	  .merge(circles) // new selection with enter and update selection 
    		.attr('fill', d => colorScale(d.type))
        .attr('r', d => radiusScale(d.type));  

	//exit circles
  circles
    .exit().remove();
  }
